#include "pch.h"
#include "log.h"
#include "node_metadata.h"

NodeMetadata::NodeMetadata() noexcept
{
    m_nodeID = const_hash("metadata");
    m_nodeID_s = "metadata";
}

Node* NodeMetadata::clone_instantiate() const
{
    return new NodeMetadata();
}
void NodeMetadata::clone_copy(Node* dest) const
{
    Node::clone_copy(dest);
    NodeMetadata* n = static_cast<NodeMetadata*>(dest);
    n->m_props = m_props;
}
void NodeMetadata::parse_attributes(kAttribute ka, const tinyxml2::XMLAttribute* attr)
{
    Node::parse_attributes(ka, attr);
    m_props[attr->Name()] = attr->Value();
}
